Update a component draft

View as Markdown

Updates a component’s draft. Component drafts contain unpublished edits to a component, which may be different from a recently published version.

Note:

You can’t update archived components.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

componentIdstringRequired
The component's ID.

Request

This endpoint expects an object.
contentstringOptional

The component’s contents, up to a maximum of 500 KB (UTF-8).

formatenumOptional
The component's content format.

Response

Successful Response
idstring
The component draft's ID.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error